Bug 661792 - Valid managed entry config rejected
Summary: Valid managed entry config rejected
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Server - Plugins
Version: 1.2.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.7 639035
TreeView+ depends on / blocked
 
Reported: 2010-12-09 16:36 UTC by Nathan Kinder
Modified: 2015-12-07 17:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:08:22 UTC


Attachments (Terms of Use)
Patch (2.71 KB, patch)
2010-12-09 16:43 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

Description Nathan Kinder 2010-12-09 16:36:29 UTC
Adding a valid managed entry config is sometimes rejected with an error 53 (unwilling to perform).  As an example, adding the following template and config entry can trigger this problem:

dn: cn=UPG Template,dc=example,dc=com
objectclass: mepTemplateEntry
cn: UPG Template
mepRDNAttr: cn
mepStaticAttr: objectclass: posixGroup
mepMappedAttr: cn: $uid
mepMappedAttr: gidNumber: $gidNumber
mepMappedAttr: description: User private group for $uid

dn: cn=UPG Definition1,cn=Managed Entries, cn=plugins,cn=config
objectclass: extensibleObject
cn: UPG Definition1
originScope: dc=example,dc=com
originFilter: objectclass=posixAccount
managedBase: dc=example,dc=com
managedTemplate: cn=UPG Template, dc=example,dc=com

When the definition entry is added, the following errors are sometimes seen in the errors log:

[09/Dec/2010:08:14:33 -0800] managed-entries-plugin - mep_create_managed_entry: Error parsing mapped attribute in template "cn=UPG Template, dc=example,dc=com".
[09/Dec/2010:08:14:33 -0800] managed-entries-plugin - mep_parse_config_entry: Unable to create a test managed entry from managed entry template "cn=UPG Template, dc=example,dc=com".  Please check the template entry for errors.

Comment 1 Nathan Kinder 2010-12-09 16:43:15 UTC
Created attachment 467795 [details]
Patch

Comment 2 Nathan Kinder 2010-12-09 17:31:06 UTC
Pushed to master.  Thanks to Rich for the review!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 1.00 KiB, done.
Total 7 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   f5dc726..3b68aa6  master -> master

Comment 4 Sankar Ramalingam 2010-12-10 18:54:12 UTC
This fix is verified in the nightly acceptance.
 managedEntry startup elapse time : 00:06:42
    managedEntry startup Tests PASS      : 100% (1/1)


Note You need to log in before you can comment on or make changes to this bug.